#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    string niz[3];
    for (int i=0; i<3; i++)
        cin>>niz[i];
    sort(niz, niz+3);
    for (int i=2; i>=0; i--)
        cout<<niz[i];
    return 0;
}